-- $Id: uninstall_legacy.sql.in.c 7065 2011-04-26 12:35:02Z robe $
-- Uninstall Legacy functions useful when you have your applications finally set up to not use legacy functions  --
























--- start functions that in theory should never have been used or internal like stuff deprecated
-- $Id: postgis_drop.sql.in.c 8852 2012-01-17 08:57:00Z strk $
-- First drop old aggregates
DROP AGGREGATE IF EXISTS memgeomunion(geometry);
DROP AGGREGATE IF EXISTS geomunion(geometry);
DROP AGGREGATE IF EXISTS polygonize(geometry); -- Deprecated in 1.2.3, Dropped in 2.0.0
DROP AGGREGATE IF EXISTS collect(geometry); -- Deprecated in 1.2.3, Dropped in 2.0.0
DROP AGGREGATE IF EXISTS st_geomunion(geometry);
DROP AGGREGATE IF EXISTS accum_old(geometry);
DROP AGGREGATE IF EXISTS st_accum_old(geometry);

-- BEGIN Management functions that now have default param for typmod --
DROP FUNCTION IF EXISTS AddGeometryColumn(varchar,varchar,varchar,varchar,integer,varchar,integer);
DROP FUNCTION IF EXISTS AddGeometryColumn(varchar,varchar,varchar,integer,varchar,integer);
DROP FUNCTION IF EXISTS AddGeometryColumn(varchar,varchar,integer,varchar,integer);
DROP FUNCTION IF EXISTS populate_geometry_columns();
DROP FUNCTION IF EXISTS populate_geometry_columns(oid);

-- END Management functions now have default parameter for typmod --
-- Then drop old functions
DROP FUNCTION IF EXISTS box2d_overleft(box2d, box2d);
DROP FUNCTION IF EXISTS box2d_overright(box2d, box2d);
DROP FUNCTION IF EXISTS box2d_left(box2d, box2d);
DROP FUNCTION IF EXISTS box2d_right(box2d, box2d);
DROP FUNCTION IF EXISTS box2d_contain(box2d, box2d);
DROP FUNCTION IF EXISTS box2d_contained(box2d, box2d);
DROP FUNCTION IF EXISTS box2d_overlap(box2d, box2d);
DROP FUNCTION IF EXISTS box2d_same(box2d, box2d);
DROP FUNCTION IF EXISTS box2d_intersects(box2d, box2d);
DROP FUNCTION IF EXISTS st_area(geography); -- this one changed to use default parameters
DROP FUNCTION IF EXISTS ST_AsGeoJson(geometry); -- this one changed to use default args 
DROP FUNCTION IF EXISTS ST_AsGeoJson(geography); -- this one changed to use default args 
DROP FUNCTION IF EXISTS ST_AsGeoJson(geometry,int4); -- this one changed to use default args 
DROP FUNCTION IF EXISTS ST_AsGeoJson(geography,int4); -- this one changed to use default args 
DROP FUNCTION IF EXISTS ST_AsGeoJson(int4,geometry); -- this one changed to use default args
DROP FUNCTION IF EXISTS ST_AsGeoJson(int4,geography); -- this one changed to use default args
DROP FUNCTION IF EXISTS ST_AsGeoJson(int4,geometry,int4); -- this one changed to use default args
DROP FUNCTION IF EXISTS ST_AsGeoJson(int4,geography,int4); -- this one changed to use default args
DROP FUNCTION IF EXISTS st_asgml(geometry); -- changed to use default args
DROP FUNCTION IF EXISTS st_asgml(geometry, int4);  -- changed to use default args
DROP FUNCTION IF EXISTS st_asgml(int4, geometry);  -- changed to use default args
DROP FUNCTION IF EXISTS st_asgml(int4, geometry, int4);  -- changed to use default args
DROP FUNCTION IF EXISTS st_asgml(int4, geometry, int4,int4);  -- changed to use default args
DROP FUNCTION IF EXISTS st_asgml(geography); -- changed to use default args
DROP FUNCTION IF EXISTS st_asgml(geography, int4);  -- changed to use default args
DROP FUNCTION IF EXISTS st_asgml(int4, geography);  -- changed to use default args
DROP FUNCTION IF EXISTS st_asgml(int4, geography, int4);  -- changed to use default args
DROP FUNCTION IF EXISTS st_asgml(int4, geography, int4,int4);  -- changed to use default args
DROP FUNCTION IF EXISTS ST_AsKML(geometry); -- changed to use default args
DROP FUNCTION IF EXISTS ST_AsKML(geography); -- changed to use default args
DROP FUNCTION IF EXISTS ST_AsKML(int4, geometry, int4); -- changed to use default args
DROP FUNCTION IF EXISTS ST_AsKML(int4, geography, int4); -- changed to use default args
DROP FUNCTION IF EXISTS st_asx3d(geometry); -- this one changed to use default parameters so full function deals with it
DROP FUNCTION IF EXISTS st_asx3d(geometry, int4); -- introduce variant with opts so get rid of other without ops
DROP FUNCTION IF EXISTS st_assvg(geometry); -- changed to use default args
DROP FUNCTION IF EXISTS st_assvg(geometry,int4); -- changed to use default args
DROP FUNCTION IF EXISTS st_assvg(geography); -- changed to use default args
DROP FUNCTION IF EXISTS st_assvg(geography,int4); -- changed to use default args
DROP FUNCTION IF EXISTS st_box2d_overleft(box2d, box2d);
DROP FUNCTION IF EXISTS st_box2d_overright(box2d, box2d);
DROP FUNCTION IF EXISTS st_box2d_left(box2d, box2d);
DROP FUNCTION IF EXISTS st_box2d_right(box2d, box2d);
DROP FUNCTION IF EXISTS st_box2d_contain(box2d, box2d);
DROP FUNCTION IF EXISTS st_box2d_contained(box2d, box2d);
DROP FUNCTION IF EXISTS st_box2d_overlap(box2d, box2d);
DROP FUNCTION IF EXISTS st_box2d_same(box2d, box2d);
DROP FUNCTION IF EXISTS st_box2d_intersects(box2d, box2d);
DROP FUNCTION IF EXISTS st_box2d_in(cstring);
DROP FUNCTION IF EXISTS st_box2d_out(box2d);
DROP FUNCTION IF EXISTS st_box2d(geometry);
DROP FUNCTION IF EXISTS st_box2d(box3d);
DROP FUNCTION IF EXISTS st_box3d(box2d);
DROP FUNCTION IF EXISTS st_box(box3d);
DROP FUNCTION IF EXISTS st_box3d(geometry);
DROP FUNCTION IF EXISTS st_box(geometry);
DROP FUNCTION IF EXISTS ST_ConcaveHull(geometry,float); -- this one changed to use default parameters
DROP FUNCTION IF EXISTS st_text(geometry);
DROP FUNCTION IF EXISTS st_geometry(box2d);
DROP FUNCTION IF EXISTS st_geometry(box3d);
DROP FUNCTION IF EXISTS st_geometry(text);
DROP FUNCTION IF EXISTS st_geometry(bytea);
DROP FUNCTION IF EXISTS st_bytea(geometry);
DROP FUNCTION IF EXISTS st_addbbox(geometry);
DROP FUNCTION IF EXISTS st_dropbbox(geometry); 
DROP FUNCTION IF EXISTS st_hasbbox(geometry); 
DROP FUNCTION IF EXISTS cache_bbox();
DROP FUNCTION IF EXISTS st_cache_bbox();
DROP FUNCTION IF EXISTS ST_GeoHash(geometry); -- changed to use default args
DROP FUNCTION IF EXISTS st_length(geography); -- this one changed to use default parameters
DROP FUNCTION IF EXISTS st_perimeter(geography); -- this one changed to use default parameters
DROP FUNCTION IF EXISTS transform_geometry(geometry,text,text,int);
DROP FUNCTION IF EXISTS collector(geometry, geometry);
DROP FUNCTION IF EXISTS st_collector(geometry, geometry);
DROP FUNCTION IF EXISTS geom_accum (geometry[],geometry);
DROP FUNCTION IF EXISTS st_geom_accum (geometry[],geometry);
DROP FUNCTION IF EXISTS collect_garray (geometry[]);
DROP FUNCTION IF EXISTS st_collect_garray (geometry[]);
DROP FUNCTION IF EXISTS geosnoop(geometry);
DROP FUNCTION IF EXISTS jtsnoop(geometry);
DROP FUNCTION IF EXISTS st_noop(geometry);
DROP FUNCTION IF EXISTS st_max_distance(geometry, geometry);
DROP FUNCTION IF EXISTS  ST_MinimumBoundingCircle(geometry); --changed to use default parameters
-- Drop internals that should never have existed --
DROP FUNCTION IF EXISTS st_geometry_analyze(internal);
DROP FUNCTION IF EXISTS st_geometry_in(cstring);
DROP FUNCTION IF EXISTS st_geometry_out(geometry);
DROP FUNCTION IF EXISTS st_geometry_recv(internal);
DROP FUNCTION IF EXISTS st_geometry_send(geometry);
DROP FUNCTION IF EXISTS st_spheroid_in(cstring);
DROP FUNCTION IF EXISTS st_spheroid_out(spheroid);
DROP FUNCTION IF EXISTS st_geometry_lt(geometry, geometry);
DROP FUNCTION IF EXISTS st_geometry_gt(geometry, geometry);
DROP FUNCTION IF EXISTS st_geometry_ge(geometry, geometry);
DROP FUNCTION IF EXISTS st_geometry_eq(geometry, geometry);
DROP FUNCTION IF EXISTS st_geometry_cmp(geometry, geometry);
DROP FUNCTION IF EXISTS SnapToGrid(geometry, float8, float8);

DROP FUNCTION IF EXISTS ST_AsBinary(text); -- deprecated in 2.0
-- Drop Affine family of deprecated functions --
DROP FUNCTION IF EXISTS Affine(geometry,float8,float8,float8,float8,float8,float8,float8,float8,float8,float8,float8,float8);
DROP FUNCTION IF EXISTS Affine(geometry,float8,float8,float8,float8,float8,float8);
DROP FUNCTION IF EXISTS RotateZ(geometry,float8);
DROP FUNCTION IF EXISTS Rotate(geometry,float8);
DROP FUNCTION IF EXISTS RotateX(geometry,float8);
DROP FUNCTION IF EXISTS RotateY(geometry,float8);
DROP FUNCTION IF EXISTS Scale(geometry,float8,float8,float8);
DROP FUNCTION IF EXISTS Scale(geometry,float8,float8);
DROP FUNCTION IF EXISTS Translate(geometry,float8,float8,float8);
DROP FUNCTION IF EXISTS Translate(geometry,float8,float8);
DROP FUNCTION IF EXISTS TransScale(geometry,float8,float8,float8,float8);

-- POSTGIS Management functions now made obsolete with geometry_columns view
-- Or that were just really dumb
-- START MANAGEMENT FUNCTIONS
DROP FUNCTION IF EXISTS rename_geometry_table_constraints();
DROP FUNCTION IF EXISTS fix_geometry_columns();
DROP FUNCTION IF EXISTS probe_geometry_columns();
-- END MANAGEMENT FUNCTIONS

-- Other functions --
DROP AGGREGATE IF EXISTS Accum(geometry);
DROP FUNCTION IF EXISTS AddBBox(geometry);
DROP FUNCTION IF EXISTS AddPoint(geometry,geometry);
DROP FUNCTION IF EXISTS AddPoint(geometry,geometry, integer);
DROP FUNCTION IF EXISTS Area(geometry);
DROP FUNCTION IF EXISTS Area2D(geometry);
DROP FUNCTION IF EXISTS AsBinary(geometry);
DROP FUNCTION IF EXISTS AsBinary(geometry,text);
DROP FUNCTION IF EXISTS AsEWKB(geometry);
DROP FUNCTION IF EXISTS AsEWKB(geometry,text);
DROP FUNCTION IF EXISTS AsEWKT(geometry);
DROP FUNCTION IF EXISTS AsGML(geometry);
DROP FUNCTION IF EXISTS AsGML(geometry,int4);
DROP FUNCTION IF EXISTS AsKML(geometry);
DROP FUNCTION IF EXISTS AsKML(geometry,int4);
DROP FUNCTION IF EXISTS AsKML(int4,geometry,int4);
DROP FUNCTION IF EXISTS AsHEXEWKB(geometry);
DROP FUNCTION IF EXISTS AsHEXEWKB(geometry,text);
DROP FUNCTION IF EXISTS AsSVG(geometry);
DROP FUNCTION IF EXISTS AsSVG(geometry,int4);
DROP FUNCTION IF EXISTS AsSVG(geometry,int4,int4);
DROP FUNCTION IF EXISTS AsText(geometry);
DROP FUNCTION IF EXISTS AZimuth(geometry,geometry);
DROP FUNCTION IF EXISTS BdPolyFromText(text, integer);
DROP FUNCTION IF EXISTS BdMPolyFromText(text, integer);
DROP FUNCTION IF EXISTS Boundary(geometry);
DROP FUNCTION IF EXISTS Buffer(geometry,float8,integer);
DROP FUNCTION IF EXISTS Buffer(geometry,float8);
DROP FUNCTION IF EXISTS BuildArea(geometry);
DROP FUNCTION IF EXISTS Centroid(geometry);
DROP FUNCTION IF EXISTS Contains(geometry,geometry);
DROP FUNCTION IF EXISTS ConvexHull(geometry);
DROP FUNCTION IF EXISTS Crosses(geometry,geometry);
DROP FUNCTION IF EXISTS Distance(geometry,geometry);
DROP FUNCTION IF EXISTS Difference(geometry,geometry);
DROP FUNCTION IF EXISTS Dimension(geometry);
DROP FUNCTION IF EXISTS Disjoint(geometry,geometry);
DROP FUNCTION IF EXISTS Distance_Sphere(geometry,geometry);
DROP FUNCTION IF EXISTS Distance_Spheroid(geometry,geometry,spheroid);
DROP FUNCTION IF EXISTS DropBBox(geometry);
DROP FUNCTION IF EXISTS Dump(geometry);
DROP FUNCTION IF EXISTS DumpRings(geometry);
DROP FUNCTION IF EXISTS Envelope(geometry);
-- Extent related functions  --
DROP FUNCTION IF EXISTS Estimated_Extent(text,text,text);
DROP FUNCTION IF EXISTS Estimated_Extent(text,text);
DROP FUNCTION IF EXISTS Expand(box2d,float8);
DROP FUNCTION IF EXISTS Expand(box3d,float8);
DROP FUNCTION IF EXISTS Expand(geometry,float8);
DROP AGGREGATE IF EXISTS Extent(geometry);
DROP FUNCTION IF EXISTS Find_Extent(text,text);
DROP FUNCTION IF EXISTS Find_Extent(text,text,text);
--- End Extent related functions --

DROP FUNCTION IF EXISTS EndPoint(geometry);
DROP FUNCTION IF EXISTS ExteriorRing(geometry);
DROP FUNCTION IF EXISTS Force_2d(geometry);
DROP FUNCTION IF EXISTS Force_3d(geometry);
DROP FUNCTION IF EXISTS Force_3dm(geometry);
DROP FUNCTION IF EXISTS Force_3dz(geometry);
DROP FUNCTION IF EXISTS Force_4d(geometry);
DROP FUNCTION IF EXISTS Force_Collection(geometry);
DROP FUNCTION IF EXISTS ForceRHR(geometry);
DROP FUNCTION IF EXISTS GeomCollFromText(text, int4);
DROP FUNCTION IF EXISTS GeomCollFromText(text);
DROP FUNCTION IF EXISTS GeomCollFromWKB(bytea, int);
DROP FUNCTION IF EXISTS GeomCollFromWKB(bytea);
DROP FUNCTION IF EXISTS GeometryFromText(text);
DROP FUNCTION IF EXISTS GeometryFromText(text,int4);
DROP FUNCTION IF EXISTS GeomFromText(text);
DROP FUNCTION IF EXISTS GeomFromText(text,int4);
DROP FUNCTION IF EXISTS GeomFromWKB(bytea);
DROP FUNCTION IF EXISTS GeomFromWKB(bytea, int);
DROP FUNCTION IF EXISTS GeometryN(geometry,integer);
DROP FUNCTION IF EXISTS GeomUnion(geometry,geometry);
DROP FUNCTION IF EXISTS getbbox(geometry);
DROP FUNCTION IF EXISTS getsrid(geometry);
DROP FUNCTION IF EXISTS Intersects(geometry,geometry);
DROP FUNCTION IF EXISTS IsRing(geometry);
DROP FUNCTION IF EXISTS IsSimple(geometry);
DROP FUNCTION IF EXISTS length_spheroid(geometry, spheroid);
DROP FUNCTION IF EXISTS length2d_spheroid(geometry, spheroid);
DROP FUNCTION IF EXISTS length3d_spheroid(geometry, spheroid);
DROP FUNCTION IF EXISTS LineMerge(geometry);
DROP FUNCTION IF EXISTS locate_along_measure(geometry, float8);
DROP FUNCTION IF EXISTS MakeBox2d(geometry, geometry);
DROP AGGREGATE IF EXISTS MakeLine(geometry);
DROP FUNCTION IF EXISTS MakeLine(geometry, geometry);
DROP FUNCTION IF EXISTS MakePolygon(geometry, geometry[]);
DROP FUNCTION IF EXISTS MakePolygon(geometry);
DROP FUNCTION IF EXISTS mem_size(geometry);
DROP FUNCTION IF EXISTS MPolyFromWKB(bytea);
DROP FUNCTION IF EXISTS multi(geometry);

DROP FUNCTION IF EXISTS SetSRID(geometry, int4);
DROP FUNCTION IF EXISTS SnapToGrid(geometry, float8, float8, float8, float8);
DROP FUNCTION IF EXISTS SnapToGrid(geometry, float8);
DROP FUNCTION IF EXISTS SnapToGrid(geometry, geometry, float8, float8, float8, float8);
DROP FUNCTION IF EXISTS SnapToGrid(geometry, float8, float8);
DROP FUNCTION IF EXISTS transform(geometry,integer);

-- ESRI compatibility functions --
DROP FUNCTION IF EXISTS SE_Is3D(geometry);
DROP FUNCTION IF EXISTS SE_IsMeasured(geometry);
DROP FUNCTION IF EXISTS SE_Z(geometry);
DROP FUNCTION IF EXISTS SE_M(geometry);
DROP FUNCTION IF EXISTS SE_LocateBetween(geometry, float8, float8);
DROP FUNCTION IF EXISTS SE_LocateAlong(geometry, float8);
DROP FUNCTION IF EXISTS SE_EnvelopesIntersect(geometry,geometry);
DROP FUNCTION IF EXISTS SE_AsShape(geometry);
